ANIM_LOOKAT(1)

NAME
anim_lookat - create a view animation script or table which looks from an eye point to a specified point.

SYNOPSIS
anim_lookat [-f #] < in.table > out.script

anim_lookat -[y|q] < in.table > out.table

DESCRIPTION
This program takes as input a seven-column animation table consisting of time, an eye point, and a "look-at point", and prints a view animation script to control the virtual camera. The camera always remains "right-side up"; that is, it yaws and pitches but doesn't roll. In cases where the camera looks vertically up or down, the yaw from the previous frame is retained. This avoids sudden jumps as much as possible.

OPTIONS

-f# Specify an integer with which to begin numbering frames. The default is 0.

-y  The output will be an animation table rather than a view animation script. The output table has 7 columns: a time column, three columns representing position, and three columns representing yaw, pitch, and roll.

-q  The output will be an animation table rather than a view animation script. The output table has eight columns: a time column, three position columns, and four columns representing the x,y,z, and w coordinates of an orientation quaternion.

-v  Include the viewsize in the output script or table. The viewsize is calculated in every frame as twice the distance from the eye point to the lookat point. If the output is a table, then the viewsize is printed in the second column.

AUTHOR
Carl J. Nuzman

COPYRIGHT
    This software is Copyright (c) 1993-2008 by the United States Government as represented by U.S. Army Research Laboratory.

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.